CVE-2004-1528
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:55:49
NMCO    

[原文]The Event Calendar module 2.13 for PHP-Nuke allows remote attackers to gain sensitive information via an HTTP request to (1) config.php, (2) index.php, or (3) submit.php, which reveal the full path in an error message.


[CNNVD]Event Calendar多个安全漏洞(CNNVD-200412-491)

        
        Event Calendar是一款phpnuke的事件日历模块。
        Event Calendar没有充分过滤用户提交的URL数据,远程攻击者可以利用这个漏洞进行SQL和跨站脚本攻击,可获得敏感信息。
        问题一是"config.php"脚本存在路径泄露问题:
        直接提交"config.php"脚本可获得包含路径信息的错误消息,另外对'index.php
        '和'submit.php'的请求也存在此漏洞。
        问题二是存在跨站脚本问题:
        由于对用户提交的HTML恶意代码缺少充分过滤,部分参数可导致输入恶意代码,当其他用户查看时可导致敏感信息泄露。
        问题三是对'$eid'和'$cid'参数缺少充分过滤,提交包含恶意SQL命令的数据作为此参数数据,可导致更改数据库或者获得敏感信息。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1528
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1528
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-491
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=110064626111756&w=2
(UNKNOWN)  BUGTRAQ  20041116 [waraxe-2004-SA#038 - Multiple vulnerabilities in Event Calendar module for PhpNuke]
http://www.securityfocus.com/bid/11693
(UNKNOWN)  BID  11693
http://www.waraxe.us/index.php?modname=sa&id=38
(UNKNOWN)  MISC  http://www.waraxe.us/index.php?modname=sa&id=38
http://xforce.iss.net/xforce/xfdb/18105
(UNKNOWN)  XF  event-calendar-path-disclosure(18105)

- 漏洞信息

Event Calendar多个安全漏洞
中危 输入验证
2004-12-31 00:00:00 2006-09-05 00:00:00
远程  
        
        Event Calendar是一款phpnuke的事件日历模块。
        Event Calendar没有充分过滤用户提交的URL数据,远程攻击者可以利用这个漏洞进行SQL和跨站脚本攻击,可获得敏感信息。
        问题一是"config.php"脚本存在路径泄露问题:
        直接提交"config.php"脚本可获得包含路径信息的错误消息,另外对'index.php
        '和'submit.php'的请求也存在此漏洞。
        问题二是存在跨站脚本问题:
        由于对用户提交的HTML恶意代码缺少充分过滤,部分参数可导致输入恶意代码,当其他用户查看时可导致敏感信息泄露。
        问题三是对'$eid'和'$cid'参数缺少充分过滤,提交包含恶意SQL命令的数据作为此参数数据,可导致更改数据库或者获得敏感信息。
        

- 公告与补丁

        厂商补丁:
        PHP-Nuke@HOLBROOKau
        -------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://phpnuke.holbrookau.net/

- 漏洞信息

11879
PHP-Nuke Event Calendar Module config.php Path Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality
Exploit Public

- 漏洞描述

PHPNuke Event Calendar contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when an attacker directly accesses "config.php" and receives error messages, which will disclose server path information resulting in a loss of confidentiality.

- 时间线

2004-11-16 2004-09-06
2004-11-16 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站